#include "cmd_parse.h"
#include <iostream>

CCmdParse::CCmdParse()
{
}

bool CCmdParse::cmdParse(int argc, char* argv[])
{
    cmd::options_description desc("options");
    desc.add_options()("help,h", "produce help message")(
        "dirs,d", cmd::value<std::vector<std::string>>()->multitoken(),
        "set search dirs")("mode,m", cmd::value<int>()->default_value(-1),
                           "设置执行模式，0-打包，1-安装");

    cmd::variables_map vm;
    cmd::store(cmd::parse_command_line(argc, argv, desc), vm);
    cmd::notify(vm);

    if (vm.count("help")) {
        std::cout << desc;
        return false;
    }

    if (vm.count("mode")) {
        result_.mode = vm["mode"].as<int>();
    }
    if (vm.count("dir")) {
        result_.lib_dirs = vm["dir"].as<std::vector<std::string>>();
    }

    return true;
}

bool CCmdParse::checkArgs()
{
    return false;
}
